This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 655764 - [RFE] Add "diag" option to fence_ipmilan to support ipmi chassis power diag option [NEEDINFO]
[RFE] Add "diag" option to fence_ipmilan to support ipmi chassis power diag o...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents (Show other bugs)
6.1
All Linux
high Severity high
: rc
: 6.1
Assigned To: Marek Grac
Cluster QE
Jana Heves
: FutureFeature, TechPreview
Depends On:
Blocks: 676286 678061 679847 702988
  Show dependency treegraph
 
Reported: 2010-11-22 06:51 EST by Gary Smith
Modified: 2016-04-26 11:43 EDT (History)
6 users (show)

See Also:
Fixed In Version: fence-agents-3.0.12-23.el6
Doc Type: Technology Preview
Doc Text:
Diagnostic pulse can now be issued A diagnostic pulse can now be issued on the IPMI interface using the fence_ipmilan agent. This new Technology Preview is used to force a kernel dump of a host if the host is configured to do so. Note that this feature is not a substitute for the `off` operation in a production cluster.
Story Points: ---
Clone Of:
: 678061 (view as bug list)
Environment:
Last Closed: 2011-05-19 10:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jsvarova: needinfo? (mgrac)


Attachments (Terms of Use)
Proposed patch (4.04 KB, patch)
2011-01-13 08:21 EST, Marek Grac
no flags Details | Diff
RHEL6 merged/tested patch (1.20 KB, patch)
2011-04-06 09:48 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Gary Smith 2010-11-22 06:51:15 EST
Description of problem:

To enhance the fence_ipmilan agent it could be useful to add a new operation to the '-o' option for diagnostic purposes.
  
Available operations on current release are:

-o <op> Operation to perform.
Valid operations: on, off, reboot, status, list or monitor

A new operation 'diag' would be very helpful to allow fence_ipmilan to forward the request "ipmitool chassis power diag" to the remote host.

This request will force the node's kernel to go into dump mode. If the node is already in the dump process the DIAG signal will be ignored.

Additional info:

This feature request will be very helpful in our large cluster environment.
Comment 2 Marek Grac 2011-01-13 08:21:19 EST
Created attachment 473316 [details]
Proposed patch

Add option "diag" as new operation. On my machine I got:

Uhhuh. NMI received for unknown reason 31.
Do you have a strange power saving mode enabled?
Dazed and confused, but trying to continue

but machine is still up and running. I believe that signal was send correctly but my machine is not configured to support it. 

@Gary: Does this patch do what you expect?
Comment 7 Gary Smith 2011-03-07 04:21:34 EST
(In reply to comment #2)

> Uhhuh. NMI received for unknown reason 31.
> Do you have a strange power saving mode enabled?
> Dazed and confused, but trying to continue
> 
> but machine is still up and running. I believe that signal was send correctly
> but my machine is not configured to support it. 
> 
> @Gary: Does this patch do what you expect?

I'm still waiting for an explanation from them as to how exactly they've configured their hardware and the OS to make this function as they expect. However, they have confirmed that they've tested this functionality from the command line with fence_ipmilan and it works for them as expected.
Comment 24 Lon Hohberger 2011-04-05 14:45:30 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
It is now possible to issue a diagnostic pulse using the IPMI interface using the fence_ipmilan agent.  This is not a substitute for the 'off' operation in a production cluster, but may be used to force a kernel dump of a host if that host is configured to perform dumps.  This feature is considered a Technology Preview.
Comment 26 Lon Hohberger 2011-04-06 09:48:18 EDT
Created attachment 490284 [details]
RHEL6 merged/tested patch
Comment 27 Dean Jansa 2011-04-19 11:55:44 EDT
Verified in fence-agents-3.0.12-23.el6.x86_64
Comment 30 Ryan Lerch 2011-05-09 23:43:57 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-It is now possible to issue a diagnostic pulse using the IPMI interface using the fence_ipmilan agent.  This is not a substitute for the 'off' operation in a production cluster, but may be used to force a kernel dump of a host if that host is configured to perform dumps.  This feature is considered a Technology Preview.+A diagnostic pulse can now be issued on the IPMI interface using the fence_ipmilan agent. This new Technology Preview is used to force a kernel dump of a host if the host is configured to do so. Note that this feature is not a substitute for the 'off' operation in a production cluster.
Comment 31 errata-xmlrpc 2011-05-19 10:21:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0745.html

Note You need to log in before you can comment on or make changes to this bug.